Collection: Turnitin

Welcome

Welcome to UHI’s Turnitin site

On this page: Turnitin Help for staff; HE Licence; Features; Turnitin scheduled maintenance times and Turnitin system status.

On this site:

  • UHI Turnitin Policy – what you are legally obliged to do before using Turnitin.
  • FAQs – FAQs for students and staff.
  • Training – manuals, videos, archived Turnitin live sessions, the Turnitin blog and newsletter, how to sign up for free live training sessions
  • 30 min webcasts – how to access webcasts, links to the latest webcasts
  • Case studies – a variety of case studies from, for example UHI, Cardiff and Coventry University and the University of Wolverhampton.
  • Turnitin user agreement – the latest user agreement in full.

 

If you'd like more information or an Instructor id please contact UHI's Help Desk (150@uhi.ac.uk).

Details

Turnitin HE licence

This academic year Learning and Teaching purchased a full, HE campus wide Turnitin licence that expires on 1st August 2017. This comprises an originality checker, GradeMark and PeerMark.

Note: Please make sure you have complied with the conditions listed on the Turnitin legal requirements page before using Turnitin. See UHI's Turnitin policy.

Details

Features

OriginalityCheck compares text based assignments for matches or similar text and provides a score. Note: it is not plagiarism detection software as it can't make decisions. Staff need to review and evaluate the score and/or feedback to ensure that the appropriate decision about performance and plagiarism is made

GradeMark lets staff digitally mark and review student submissions. Staff can add personalised feedback and attach comments to highlighted areas. GradeMark also has a library of standard comments that can be dragged and dropped onto the relevant place on the page. Staff can add items to the comments library.

PeerMark lets staff assign student submissions to peers for review based on a series of free response and scale questions they create. Peer reviews can be anonymous or attributed.

Note: Please make sure you have complied with the conditions listed on the Turnitin legal requirements page before using Turnitin.

Details

Turnitin scheduled maintenance times

All Turnitin services and related websites (Turnitin, OriginalityCheck, GradeMark, PeerMark, Turnitin for Admissions, WriteCheck, and iThenticate) may be unavailable for use during scheduled maintenance times. Times for these scheduled maintenance windows are the first and third Saturdays of each month, 7:00 AM to 11:00 AM Pacific Time: 15:00 - 19:00 UK Daylight Saving Time.

Details

How do I get an Instructor Account?

Please note: before viewing a Turnitin assignment in Blackboard set up by another instructor or setting up a Turnitin assignment in Blackboard you must log a call with the Help Desk to apply for a Turnitin ID. Turnitin may only be used for HE units and modules.

To get an Instructor account please log a call with the Help Desk: 150@uhi.ac.uk

Turnitin help

  • If you are having problems with Turnitin please check their system status - see below.
  • If the system is running check Turnitin's Known issues page.
  • If it is not a know issue, see Turnitin's Support page. This site provides information on common problems.
  • If you cannot find an answer to your problem please contact the UHI Service Desk E-mail: UHI Service Desk Tel. 150 (internal) / 01463 279 150 (external).
Details

Turnitin system status RSS

Twitter feed for: turnitinstatus. Generated by TwitRSS.me

Calling all Turnitin administrators! Account statistics are now easier to view and interpret with graph overviews. http://bit.ly/Turnitin1719 

Calling all Turnitin administrators! Account statistics are now easier to view and interpret with graph overviews. http://bit.ly/Turnitin1719 

(2/2) 1:49pm - 3:21pm PST. Click here for local time http://tinyurl.com/mvec9up . Turnitin UK and integration users should've been unaffected.

(2/2) 1:49pm - 3:21pm PST. Click here for local time http://tinyurl.com/mvec9up . Turnitin UK and integration users should've been unaffected.

(1/2) The Turnitin log in issue from today has been resolved. Users may have experienced problems loggin it to the site between

(1/2) The Turnitin log in issue from today has been resolved. Users may have experienced problems loggin it to the site between

The Turnitin log in page is still unavailable. Root cause is being identified and mitigated. (Turnitin UK is unaffected)

The Turnitin log in page is still unavailable. Root cause is being identified and mitigated. (Turnitin UK is unaffected)

Last updated on 24 April 2017, 6:00 PM
Details

Comments

Zara
02 August 2014, 8:25 PM

Hi there, how do I find more information?

1 comment